Get list of all tags
curl --request GET \
--url https://{region}.affinda.com/v3/tags \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": 1,
"name": "<string>",
"workspace": "mEFayXdO",
"documentCount": 1
}
]{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Tags
Get list of all tags
Returns your tags.
GET
/
v3
/
tags
Get list of all tags
curl --request GET \
--url https://{region}.affinda.com/v3/tags \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": 1,
"name": "<string>",
"workspace": "mEFayXdO",
"documentCount": 1
}
]{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Query Parameters
The numbers of results to return.
Required range:
1 <= x <= 100Example:
20
The number of documents to skip before starting to collect the result set.
Required range:
x >= 0Example:
0
Filter by workspace. Uniquely identify a workspace.
Example:
"mEFayXdO"
Filter by name.
Was this page helpful?
⌘I